Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.asn1
Class XMSSMTPrivateKey

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.pqc.asn1.XMSSMTPrivateKey

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class XMSSMTPrivateKey
extends ASN1Object

XMMSMTPrivateKey XMMSMTPrivateKey ::= SEQUENCE { version INTEGER -- 0, or 1 if maxIndex is present keyData SEQUENCE { index INTEGER secretKeySeed OCTET STRING secretKeyPRF OCTET STRING publicSeed OCTET STRING root OCTET STRING maxIndex [0] INTEGER OPTIONAL } bdsState CHOICE { platformSerialization [0] OCTET STRING } OPTIONAL }

Constructor Summary
`XMSSMTPrivateKey(long index, byte[] secretKeySeed, byte[] secretKeyPRF, byte[] publicSeed, byte[] root, byte[] bdsState)`
`XMSSMTPrivateKey(long index, byte[] secretKeySeed, byte[] secretKeyPRF, byte[] publicSeed, byte[] root, byte[] bdsState, long maxIndex)`

Method Summary
`byte[]` | `getBdsState()`
`long` | `getIndex()`
`static XMSSMTPrivateKey` | `getInstance(java.lang.Object o)`
`long` | `getMaxIndex()`
`byte[]` | `getPublicSeed()`
`byte[]` | `getRoot()`
`byte[]` | `getSecretKeyPRF()`
`byte[]` | `getSecretKeySeed()`
`int` | `getVersion()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMSSMTPrivateKey

    public XMSSMTPrivateKey(long index,
                            byte[] secretKeySeed,
                            byte[] secretKeyPRF,
                            byte[] publicSeed,
                            byte[] root,
                            byte[] bdsState)

### XMSSMTPrivateKey

    public XMSSMTPrivateKey(long index,
                            byte[] secretKeySeed,
                            byte[] secretKeyPRF,
                            byte[] publicSeed,
                            byte[] root,
                            byte[] bdsState,
                            long maxIndex)

Method Detail

### getInstance

    public static XMSSMTPrivateKey getInstance(java.lang.Object o)

### getVersion

    public int getVersion()

### getIndex

    public long getIndex()

### getMaxIndex

    public long getMaxIndex()

### getSecretKeySeed

    public byte[] getSecretKeySeed()

### getSecretKeyPRF

    public byte[] getSecretKeyPRF()

### getPublicSeed

    public byte[] getPublicSeed()

### getRoot

    public byte[] getRoot()

### getBdsState

    public byte[] getBdsState()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD